<?php

if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("newthread_start", "wysiwygeditor");
$plugins->add_hook("newreply_start", "wysiwygeditor");
$plugins->add_hook("showthread_start", "wysiwygeditor");
$plugins->add_hook("usercp_editsig_end", "wysiwygeditor");
$plugins->add_hook("private_send_end", "wysiwygeditor");
$plugins->add_hook("editpost_end", "wysiwygeditor");

function wysiwygeditor_info()
{
				return array(
				"name" => "MyBB WYSIWYG Editör",
				"description" => "MyBB için gelişmiş editör eklentisi.",
				"website" => "http://www.mybbiran.com",
				"author" => "mamaly12h Türkçe:Bomfile",
				"authorsite" => "http://www.takworld.tk",
				"version" => "1.0.3",
				"guid" => "",
				"compatibility" => "*"
			);
}

function wysiwygeditor_activate()
{
	global $db, $mybb;
	
	include MYBB_ROOT."/inc/adminfunctions_templates.php";

	find_replace_templatesets("misc_smilies_popup_smilie", "#".preg_quote('insertSmilie(\'{$smilie[\'insert\']}\');')."#i", 'insertSmilie(\'{$smilie[\'insert\']}\',\'{$smilie[\'image\']}\');');
	
	find_replace_templatesets("codebuttons", "#".preg_quote('{$editor_language}')."#i", '{$editor_language}
editor_language.toggle = "Editörü Değiştir";
editor_language.removeformat = "Metin Biçimini Sil";
editor_language.unlink = "Linki Sil";
editor_language.resize1 = "Alanı Büyült";
editor_language.resize0 = "Alanı Küçült";');
	
	find_replace_templatesets("misc_smilies_popup", "#<script type=\"text/javascript\">(.*?)</script>#is", '<script type="text/javascript">
<!--
	var editor = eval(\'opener.\' + \'{$editor}\');
	function insertSmilie(code,image)
	{
		if(editor)
		{
if(editor.d){
		editor.wysiwyg.contentWindow.focus();
		var txt=\'<img id="mybb_editor_smilie" src="\'+image+\'" alt="\'+code+\'">\';
		if(MyBB.browser == \'ie\'){
		editor.e.selection.createRange().pasteHTML(txt);
		}
		else{
		editor.e.execCommand(\'insertHTML\',0,txt);
		}
}
else {
			editor.performInsert(code, "", true, false);
	}
}
	}
// -->
</script>');
	
		find_replace_templatesets("showthread_quickreply", "#".preg_quote('id="quick_reply_submit"')."#i", 'id="quick_reply_submit" onclick="clickableEditor.posting();"');
	
	

}

function wysiwygeditor_deactivate()
{
	global $db, $mybb;
	
	include MYBB_ROOT."/inc/adminfunctions_templates.php";
	
	find_replace_templatesets("misc_smilies_popup_smilie", "#".preg_quote('insertSmilie(\'{$smilie[\'insert\']}\',\'{$smilie[\'image\']}\');')."#i", 'insertSmilie(\'{$smilie[\'insert\']}\');');
	
	find_replace_templatesets("codebuttons", "#".preg_quote('editor_language.toggle = "Editörü Değiştir";
editor_language.removeformat = "Metin Biçimini Sil";
editor_language.unlink = "Linki Sil";
editor_language.resize1 = "Alanı Büyült";
editor_language.resize0 = "Alanı Küçült";')."#i", '');		

	
	find_replace_templatesets("misc_smilies_popup", "#<script type=\"text/javascript\">(.*?)</script>#is", '<script type="text/javascript">
<!--
	var editor = eval(\'opener.\' + \'{$editor}\');
	function insertSmilie(code)
	{
		if(editor)
		{
			editor.performInsert(code, "", true, false);
		}
	}
// -->
</script>');
	
		find_replace_templatesets("showthread_quickreply", "#".preg_quote(' onclick="clickableEditor.posting();"')."#i", '');
		
}




function wysiwygeditor()
{
	global $db, $cache, $editorsmiliecache, $theme, $templates, $lang, $mybb, $editorsmiliecount, $editorsmiliesajax , $codebuttons;

		if(!$editorsmiliecount)
		{
			$editorsmilie_cache = $cache->read("smilies");
			$editorsmiliecount = count($editorsmilie_cache);
		}

		if(!$editorsmiliecache)
		{
			if(!is_array($editorsmilie_cache))
			{
				$editorsmilie_cache = $cache->read("smilies");
			}
			foreach($editorsmilie_cache as $editorsmilie)
			{
				if($editorsmilie['showclickable'] != 0)
				{
					$editorsmiliecache[$editorsmilie['find']] = $editorsmilie['image'];
				}
			}
		}

		unset($editorsmilie);

		if(is_array($editorsmiliecache))
		{
			reset($editorsmiliecache);

			$counter = 0;
			$i = 0;
			$editorsmiliesajax = "";

			foreach($editorsmiliecache as $find => $image)
			{
			$query = $db->simple_select('smilies', 'COUNT(sid) AS smilies', 'showclickable = 1', array('limit' => 1));
					$quantity = $db->fetch_field($query, "smilies");
				if($i < $quantity)
				{

					$find = htmlspecialchars_uni($find);
										
					$editorsmiliesajax .= "new Array('".addslashes(preg_quote($find, '/'))."', '{$find}', '{$image}')";
					++$i;
					++$counter;
				}
					if($i < $quantity)
					{
						$editorsmiliesajax .= ",";
					}
			}

		}
	
	$codebuttons_smilie = "\n<script type=\"text/javascript\">
// mybb wysiwyeditor 
mybbsmilies = new Array({$editorsmiliesajax}); // mybb wysiwyeditor
</script>\n";
	$codebuttons_smilie = str_replace(',); // mybb wysiwyeditor', '); // mybb wysiwyeditor', $codebuttons_smilie);
		$codebuttons .= $codebuttons_smilie;

}

?>